# Find the ParameterSerializer includes and library
#
# ParameterSerializer_INCLUDE_DIRS - list of directories with headers.
# ParameterSerializer_LIBRARIES - list of libraries to link against.
# ParameterSerializer_FOUND - set to 1 if found.

set( ParameterSerializer_FOUND 1 )

get_filename_component( ParameterSerializer_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )

set( ParameterSerializer_INCLUDE_DIRS "/usr/include/ParameterSerializer;/usr/include;/usr/include/itk;/usr/include/vxl/v3p/netlib;/usr/include/vxl/vcl;/usr/include/vxl/core;/usr/include;/usr/include/gdcm;/usr/include/lp_solve;/usr/src/RPM/BUILD/itk-5.1.2/BUILD/Modules/Remote/RTK;/usr/src/RPM/BUILD/itk-5.1.2/BUILD/Modules/Remote/TubeTK/include;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src/Common;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src/Filtering;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src/IO;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src/MetaIO;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src/Numerics;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src/ObjectDocuments;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src/Registration;/usr/src/RPM/BUILD/itk-5.1.2/Modules/Remote/TubeTK/src/Segmentation;/usr/include" )

set(ITK_DIR "/usr/lib64/cmake/itk")
include(CMakeFindDependencyMacro)
find_dependency(ITK REQUIRED)

# We need to let CMake know the location of the json library.
set( used_jsoncpp_config "/JsonCppConfig.cmake" )
if( NOT DEFINED JsonCpp_LIBRARIES AND EXISTS "${used_jsoncpp_config}" )
  include( "${used_jsoncpp_config}" )
endif()
if( NOT ParameterSerializer_TARGETS_IMPORTED AND NOT ParameterSerializer_BINARY_DIR )
  set( ParameterSerializer_TARGETS_IMPORTED 1 )
  include( "${ParameterSerializer_CMAKE_DIR}/ParameterSerializerTargets.cmake" )
endif()
set( ParameterSerializer_LIBRARIES "ParameterSerializerLib" )
